# Uses of Class
javafx.beans.property.adapter.ReadOnlyJavaBeanObjectProperty

Packages that use ReadOnlyJavaBeanObjectProperty
Package
Description
javafx.beans.property.adapter
Provides various classes that act as adapters between a regular Java Bean property and a corresponding `JavaFX Property`.

## Uses of ReadOnlyJavaBeanObjectProperty in javafx.beans.property.adapter

Methods in javafx.beans.property.adapter that return ReadOnlyJavaBeanObjectProperty
Modifier and Type
Method
Description
`ReadOnlyJavaBeanObjectProperty<T>`
ReadOnlyJavaBeanObjectPropertyBuilder.`build()`
Generate a new `ReadOnlyJavaBeanObjectProperty` with the current settings.